let data = {
  homeMenuData: [],
  treatmentItemsData:{},
  distributionTabsData: "1",//配送单tabs
  distributionStepData:0,//配送步骤 step
  distributionItemsData: [],//配送项目大类
  precSubItemsData: [],//配送项目选择子类数据
};
export default function headerRedux(state = data, action) {
  if (action.type === 'homeMenuData') {
    return {
      ...state,
      homeMenuData: action.value
    }
  }else if (action.type === 'treatmentItems') {//预约治疗item项目
    //  console.log("treatmentItems",action.value)
    return {
      ...state,
      treatmentItemsData: action.value
    }
  }  else if (action.type === 'distributionTabs') {//配送单tabs
    return {
      ...state,
      distributionTabsData: action.value
    }
  } else if (action.type === 'distributionStep') {//配送步骤 step
    return {
      ...state,
      distributionStepData: action.value
    }
  } else if (action.type === 'distributionItems') {//配送项目大类
    return {
      ...state,
      distributionItemsData: action.value
    }
  } else if (action.type === 'precSubItems') {//配送项目选择子类数据
    return {
      ...state,
      precSubItemsData: action.value
    }
  }  else {
    return state;
  }
}